--- a/config/common_make_rules
+++ b/config/common_make_rules
@@ -68,7 +68,7 @@
 
 FLITELIBS = $(BUILDDIR)/lib/libflite.a
 FLITELIBFLAGS = -L$(BUILDDIR)/lib -lflite 
-LDFLAGS += -lm $(AUDIOLIBS) $(OTHERLIBS)
+LDLIBS += -lm $(AUDIOLIBS) $(OTHERLIBS)
 
 FULLOBJS = $(OBJS:%=$(OBJDIR)/%)
 ifdef SHFLAGS
@@ -123,7 +123,7 @@
 	@ rm -rf shared_os && mkdir shared_os
 	@ rm -f $@ $@.${PROJECT_VERSION} $@.${PROJECT_SHLIB_VERSION} 
 	@ (cd shared_os && ar x ../$<)
-	@ (cd shared_os && $(CC) -shared -Wl,-soname,`basename $@`.${PROJECT_SHLIB_VERSION} -o ../$@.${PROJECT_VERSION} *.os)
+	@ (cd shared_os && $(CC) ${LDFLAGS} -shared -Wl,-soname,`basename $@`.${PROJECT_SHLIB_VERSION} -o ../$@.${PROJECT_VERSION} *.os $(LDLIBS))
 	@ (cd $(LIBDIR) && ln -s `basename $@.${PROJECT_VERSION}` `basename $@.${PROJECT_SHLIB_VERSION}` )
 	@ (cd $(LIBDIR) && ln -s `basename $@.${PROJECT_SHLIB_VERSION}` `basename $@` )
 	@ rm -rf shared_os
--- a/tools/Makefile
+++ b/tools/Makefile
@@ -62,9 +62,9 @@
 LOCAL_CLEAN = $(BINDIR)/find_sts $(BINDIR)/flite_sort
 
 $(BINDIR)/find_sts: find_sts_main.o $(FLITELIBS) 
-	$(CC) $(CFLAGS) -o $@ find_sts_main.o $(FLITELIBFLAGS) $(LDFLAGS)
+	$(CC) $(CFLAGS) ${LDFLAGS} -o $@ find_sts_main.o $(FLITELIBFLAGS) $(LDLIBS)
 $(BINDIR)/flite_sort: flite_sort_main.o $(FLITELIBS)
-	$(CC) $(CFLAGS) -o $@ flite_sort_main.o $(FLITELIBFLAGS) $(LDFLAGS)
+	$(CC) $(CFLAGS) ${LDFLAGS} -o $@ flite_sort_main.o $(FLITELIBFLAGS) $(LDLIBS)
 makescripts:
 	@ cp -p $(SCRIPTS) $(TOP)/bin
 
